Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry ścieżki
name
string
wymagane
Name of the model.
version
string
wymagane
Version of the model.
Treść żądania
The credential request request body.
blobUri
string
wymagane
Blob URI of the model asset to fetch credentials for.
Odpowiedzi
The request has succeeded.
Treść
blobReference
BlobReference
wymagane
Blob reference details.
blobUri
string
wymagane
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
wymagane
ARM ID of the storage account to use.
credential
SasCredential
wymagane
SAS Credential definition
sasUri
string
wymagane
SAS uri
type
enum
wymagane
Type of credential
Żądanie
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json